Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005666 [JEDI VCL] 00 JVCL Components feature always 2011-09-30 13:24 2012-09-10 14:15
Reporter DeveloPerchik View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005666: JvDBComboBox cant resolve List DataSet FieldsNames
Description Hello!
When you setup new TJvDBLookupCombo component and you have entered LookupSource DataSource - in the ObjectInspector at LookupField and LookupDisplay you will see a list of all DatasetFieldNames - its very useful when using huge DB!
But JvDBComboBox that working similarly can not resolve FieldsNames of ListSettings-DataSource.
Please, at this functionality to JvDBComboBox ListSettings->DisplayField,KeyField!
With best regards!
Additional Information
Tags JvDBComboBox
Attached Files

- Relationships

-  Notes
(0019012)
obones (administrator)
2011-10-07 16:07

Please provide the zipped sources of a sample application showing this
(0019020)
DeveloPerchik (reporter)
2011-10-08 10:29

What you are talking about?! Just create new form, place the new JvDBComboBox, setup at ObjectInspector "ListSettings-DataSource" and you will see that at ObjectInspector fields "ListSettings->DisplayField,KeyField!" there are no dropdown lists with Datasource-Dataset fields! I just ask to add there a dropdown list of Dataset fields! What application you need to show this so obvious things?!
(0019180)
DeveloPerchik (reporter)
2011-12-08 11:03

So, have you add this functions to JvDBComboBox ListSettings-DisplayField,KeyField ???
(0019452)
obones (administrator)
2012-02-22 14:56

Doing what you suggest takes time, which we don't have much of.
I insist, please provide the zipped sources of a sample application showing this
(0019973)
obones (administrator)
2012-06-13 16:29

Any news?
(0020120)
AHUser (developer)
2012-08-19 11:20

Added designtime property editors for ListSettings.KeyField/DisplayField in svn revision 13402.

- Issue History
Date Modified Username Field Change
2011-09-30 13:24 DeveloPerchik New Issue
2011-09-30 13:25 DeveloPerchik Tag Attached: JvDBComboBox
2011-10-07 16:07 obones Note Added: 0019012
2011-10-07 16:07 obones Status new => feedback
2011-10-08 10:29 DeveloPerchik Note Added: 0019020
2011-12-08 11:03 DeveloPerchik Note Added: 0019180
2012-02-22 14:56 obones Note Added: 0019452
2012-06-13 16:29 obones Note Added: 0019973
2012-08-19 11:06 AHUser Assigned To => AHUser
2012-08-19 11:20 AHUser Note Added: 0020120
2012-08-19 11:20 AHUser Status feedback => resolved
2012-08-19 11:20 AHUser Fixed in Version => Daily / SVN
2012-08-19 11:20 AHUser Resolution open => fixed
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker